package com.dskj.znzn.transData.common.annotaions;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author 魏志亮
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface NoRepeat {

    /**
     * 单位秒
     */
    long timeout() default 1;

    /**
     * 次数
     */
    long count() default 1;
}
