package com.dskj.znzn.transData.web.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 *
 * </p>
 *
 * @author 魏志亮
 * @since 2025-01-09
 */
@Getter
@Setter
@TableName("sys_conf")
@ApiModel(value = "SysConf对象", description = "")
public class SysConf implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("类型名称")
    private String typeName;

    @ApiModelProperty("参数key")
    private String paramKey;

    @ApiModelProperty("参数显示的值")
    private String paramValue;

    @ApiModelProperty("0:不可用 1:可用")
    private Integer status;
}
