package com.dskj.znzn.transData.web.common.service;

import com.dskj.znzn.transData.web.common.entity.SysConf;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2025-01-09
 */
public interface ISysConfService extends IService<SysConf> {

    List<SysConf> getByType(String type);

    List<SysConf> getTypeName();

    String getValueByType(String type, String paramKey);

    void flushConf();

}
