package com.dskj.znzn.transData.web.dataTransfer.inData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@ApiModel
@Data
public class AddDataTransferTaskInData {

    @ApiModelProperty("任务名称")
    @NotBlank(message = "任务名称不能为空")
    private String taskName;

    @ApiModelProperty("风场编号")
    @NotBlank(message = "风场编号不能为空")
    private String windFarmCode;

    @ApiModelProperty("风场名称")
    private String windFarmName;

    @ApiModelProperty("转化类型(调用 获取系统配置 接口获取)")
    @NotBlank(message = "转化类型不能为空")
    private String transferType;

    @ApiModelProperty("数据读取路径")
    @NotBlank(message = "数据读取路径不能为空")
    private String readDir;

    @ApiModelProperty("收资人")
    @NotBlank(message = "收资人不能为空")
    private String dataCollector;
}
