package com.dskj.znzn.transData.web.dataTransfer.inData;

import com.dskj.znzn.transData.common.base.PageInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class GetDataTransferInData extends PageInfo {

    @ApiModelProperty("风场编号")
    private String windFarmCode;

    @ApiModelProperty("转化类型")
    private String transferType;

    @ApiModelProperty(value = "导入状态(null: 全部,-1：等待中 0-导入中 1-导入成功 2-导入失败)", example = "null")
    private Integer transferStatus;
}
