package com.dskj.znzn.transData.web.dataTransfer.inData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@ApiModel
@Data
public class GetOnlineTimeRangeInData {

    @ApiModelProperty(value = "风场编号", required = true)
    @NotBlank(message = "风场编号不能为空")
    private String windFarmCode;

    @ApiModelProperty(value = "转化类型", required = true)
    @NotBlank(message = "转化类型不能为空")
    private String transferType;
}
