package com.dskj.znzn.transData.web.dataTransfer.outData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class ClassificationImportDataDetailsQuery {

    @ApiModelProperty("风场编码")
    private String windFarmCode;

    @ApiModelProperty("风场名称")
    private String windFarmName;

    @ApiModelProperty("导入类型")
    private String transferType;

    @ApiModelProperty("导入类型名称")
    private String transferName;

    @ApiModelProperty("数量")
    private Integer count;

    @ApiModelProperty("最近入库时间")
    private Date latestStorageTime;

    @ApiModelProperty("包含的时间范围")
    private String timeArea;


}
