package com.dskj.znzn.transData.web.laserData.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dskj.znzn.transData.web.laserData.entity.LaserData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 激光数据 Mapper 接口
 * </p>
 *
 * @author 魏志亮
 * @since 2024-12-12
 */
@Mapper
public interface LaserDataMapper extends BaseMapper<LaserData> {

    List<LaserData> getLaserData(String windCode, String windTurbineNumber, String startTime, String endTime);

}
