package com.dskj.znzn.transData.web.transConf.indata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@ApiModel
@Data
public class WindCodeAndTypeInData {

    @ApiModelProperty(value = "风场编号", required = true)
    @NotBlank(message = "风场编号不能为空")
    private String windCode;

    @ApiModelProperty(value = "数据类型(minute,second)", required = true)
    @NotBlank(message = "数据类型不能为空")
    private String type;
}
