package com.dskj.znzn.transData.web.dataTransfer.inData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class HistoryDataSummaryInData {

    @ApiModelProperty("风场编号")
    private String windFarmCode;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("开始时间")
    private String beginDate;

    @ApiModelProperty("结束时间")
    private String endDate;

    public String getBeginDate() {
        if (null == beginDate || beginDate.isEmpty()) {
            return null;
        }
        return beginDate + " 00:00:00";
    }

    public String getEndDate() {
        if (null == endDate || endDate.isEmpty()) {
            return null;
        }
        return endDate + " 23:59:59";
    }
}
