package com.dskj.znzn.transData.web.dataTransfer.outData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class PltIndexMoreOutData {

    @ApiModelProperty("风场编码")
    private String windFarmCode;

    @ApiModelProperty("风场名称")
    private String windFarmName;

    @ApiModelProperty("分钟的时间范围")
    private List<String> minuteTimeAreaList;

    @ApiModelProperty("秒的时间范围")
    private List<String> secondTimeAreaList;

    @ApiModelProperty("故障的时间范围")
    private List<String> faultTimeAreaList;

    @ApiModelProperty("报警的时间范围")
    private List<String> warnTimeAreaList;

    @ApiModelProperty("振动的时间范围")
    private List<String> vibrationTimeAreaList;

}
