package com.dskj.znzn.transData.web.dataTransfer.outData;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.util.Arrays;
import java.util.Collections;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class TypeCountData {

    @ApiModelProperty("导入类型")
    private String transferType;

    @ApiModelProperty("导入类型名称")
    private String transferName;

    @ApiModelProperty("数量")
    private Integer count = 0;

    @ApiModelProperty("最近入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date latestStorageTime;

}
