package com.dskj.znzn.transData.web.transConf.indata;

import com.dskj.znzn.transData.web.transConf.entity.TransConf;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@ApiModel
@Data
public class InsertOrUpdateInData extends TransConf {

    @ApiModelProperty(value = "风场编号", required = true)
    @NotBlank(message = "风场编号不能为空")
    private String windCode;

    @ApiModelProperty(value = "风场名称", required = true)
    @NotBlank(message = "风场名称不能为空")
    private String windName;

    @ApiModelProperty(value = "分析类型", required = true)
    @NotBlank(message = "分析类型不能为空")
    private String type;

}
