package com.dskj.znzn.transData.web.transConf.outdata;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dskj.znzn.transData.web.transConf.entity.TransConf;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

//@JsonIgnoreProperties(value = {"isVerticalTable","mergeColumns","verticalReadCols","verticalIndexCols","verticalColKey","verticalColValue",
//"resolveColPrefix","windNameExec",""})
@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class TransConfForPlt extends TransConf {


    @TableId(value = "id", type = IdType.AUTO)
    @JsonIgnore
    private Integer id;

    @ApiModelProperty("风场编号")
    @JsonIgnore
    private String windCode;

    @ApiModelProperty("风场名称")
    @JsonIgnore
    private String windName;

    @ApiModelProperty("分析类型")
    @JsonIgnore
    private String type;

    @ApiModelProperty("是否是竖表")
    @JsonIgnore
    private Boolean isVerticalTable;

    @ApiModelProperty("是否需要合并列")
    @JsonIgnore
    private Boolean mergeColumns;

    @ApiModelProperty("竖表需要读取的字段,逗号分隔")
    @JsonIgnore
    private String verticalReadCols;

    @ApiModelProperty("竖表索引列,一般是 时间和风机号")
    @JsonIgnore
    private String verticalIndexCols;

    @ApiModelProperty("竖表取的列名")
    @JsonIgnore
    private String verticalColKey;

    @ApiModelProperty("竖表取的数值")
    @JsonIgnore
    private String verticalColValue;

    @ApiModelProperty("处理列明前缀")
    @JsonIgnore
    private String resolveColPrefix;

    @ApiModelProperty("风机名称代码处理")
    @JsonIgnore
    private String windNameExec;

    @ApiModelProperty("开始读取的行数,excel显示的行数-1")
    @JsonIgnore
    private Integer beginHeader;

    @ApiModelProperty("预留字段(浮点型)")
    @JsonIgnore
    private String param1;

    @ApiModelProperty("预留字段(浮点型)")
    @JsonIgnore
    private String param2;

    @ApiModelProperty("预留字段(浮点型)")
    @JsonIgnore
    private String param3;

    @ApiModelProperty("预留字段(浮点型)")
    @JsonIgnore
    private String param4;

    @ApiModelProperty("预留字段(浮点型)")
    @JsonIgnore
    private String param5;

    @ApiModelProperty("预留字段(字符型)")
    @JsonIgnore
    private String param6;

    @ApiModelProperty("预留字段(字符型)")
    @JsonIgnore
    private String param7;

    @ApiModelProperty("预留字段(字符型)")
    @JsonIgnore
    private String param8;

    @ApiModelProperty("预留字段(字符型)")
    @JsonIgnore
    private String param9;

    @ApiModelProperty("预留字段(字符型)")
    @JsonIgnore
    private String param10;
}
