package com.dskj.znzn.transData.web.transConf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.transData.common.base.PageInfo;
import com.dskj.znzn.transData.common.base.PageR;
import com.dskj.znzn.transData.web.transConf.entity.TransConf;
import com.dskj.znzn.transData.web.transConf.indata.InsertOrUpdateInData;
import com.dskj.znzn.transData.web.transConf.outdata.TransConfForPlt;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 魏志亮
 * @since 2024-07-08
 */
public interface ITransConfService extends IService<TransConf> {

    TransConf getByWindCodeAndType(String company, String type);

    TransConfForPlt getByWindCodeAndTypeForPlt(String windCode, String type);

    void insertOrUpdate(InsertOrUpdateInData insertOrUpdateInData);

    PageR<TransConf> listPage(PageInfo info);
}
